Getting Qt5.1.1 source.



  • Hi,

    I am cloning Qt5 source code. I want to use Qt5.1.1 instead of latest code. Below is what i am doing.

    @
    git clone git://gitorious.org/qt/qt5.git qt5

    cd qt5

    git checkout stable

    perl init-repository --no-webkit

    git checkout v5.1.1

    git submodule update --recursive

    configure -developer-build -opensource -nomake examples -nomake tests -mp -opengl desktop

    nmake@

    I am getting errors in QtLocation module for module version. After manually adding module version i am getting errors for missing 3d module?

    Am i doing the clone correct? Do i have to re-run
    perl init-repository --no-webkit after i checkout v5.1.1?



  • Below steps worked.
    @
    git clone git://gitorious.org/qt/qt5.git qt5

    cd qt5
     
    git checkout v5.1.1
     
    perl init-repository --no-webkit
     
     
    configure -developer-build -opensource -nomake examples -nomake tests -mp -opengl desktop
     
    nmake
    

    @

    Looks like after checkout we have to run init-repository command.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.